# $Revision: 1.23.2.2 $, $Date: 2007/03/08 14:16:54 $
Summary:	.NET language bindings for GtkSourceView
Summary(pl):	Wizania GtkSourceView dla .NET
Name:		dotnet-gtksourceview-sharp
Version:	0.5
Release:	12
License:	LGPL
Group:		Libraries
Source0:	http://mono2.ximian.com/archive/1.0/gtksourceview-sharp-%{version}.tar.gz
# Source0-md5:	b82e767e42a542e185a534048db3078d
Patch0:		%{name}-install.patch
Patch1:		%{name}-mint.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	dotnet-gtk-sharp-gnome-devel >= 0.93
BuildRequires:	gtksourceview-devel >= 1.0.1
BuildRequires:	libtool
BuildRequires:	monodoc >= 0.16
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	pkgconfig
Requires:	dotnet-gtk-sharp >= 0.93
Requires:	gtksourceview >= 1.0.1
Requires:	mono >= 1.1.7
Provides:	dotnet-gtksourceview
Provides:	gtksourceview-sharp
Obsoletes:	dotnet-gtksourceview
Obsoletes:	gtksourceview-sharp
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides .NET bindings for GtkSourceView library.

%description -l pl
Pakiet ten dostarcza wizania .NET do biblioteki GtkSourceView.

%package devel
Summary:	Development part of GtkSourceView#
Summary(pl):	Cz GtkSourceView# przeznaczona dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp-devel >= 0.93
Provides:	dotnet-gtksourceview-devel
Provides:	gtksourceview-sharp-devel
Obsoletes:	dotnet-gtksourceview-devel
Obsoletes:	gtksourceview-sharp-devel

%description devel
Development part of GtkSourceView#.

%description devel -l pl
Cz GtkSourceView# przeznaczona dla programistw.

%prep
%setup -q -n gtksourceview-sharp-%{version}
%patch0 -p1
%patch1 -p1
sed -i -e 's/`monodoc --get-sourcesdir`/$(DESTDIR)&/' doc/Makefile.am
sed -i -e 's/apidir = $(DESTDIR)@gtk/apidir = @gtk/' gtksourceview/makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT`monodoc --get-sourcesdir`

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
# already in main package
rm -f $RPM_BUILD_ROOT%{_datadir}/gtksourceview-1.0/language-specs/{csharp,nemerle,vbnet}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%{_prefix}/lib/mono/gac/*
%{_datadir}/mime-info/*

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gtk-sharp/*
%{_datadir}/gapi/*
%{_pkgconfigdir}/*
%{_libdir}/monodoc/sources/gtksourceview-sharp-docs.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gtksourceview-sharp.spec,v $
Revision 1.23.2.2  2007/03/08 14:16:54  qboosh
- release 12: rebuild with restored mono() deps

Revision 1.23.2.1  2007/02/17 16:07:51  qboosh
- mono is supported on alpha,sparc* now
- release 11

Revision 1.23  2005/12/03 11:55:58  qboosh
- nemerle.lang already in gtksourceview; release 10

Revision 1.22  2005/12/03 11:46:38  qboosh
- updated install patch and spec for mono dlls in /usr/lib (R: mono >= 1.1.7)
- release 9

Revision 1.21  2005/12/03 10:19:18  qboosh
-fixed desc

Revision 1.20  2005/11/30 16:40:50  freetz
- require dotnet-gtk-sharp-gnome-devel at buildtime, rel.8

Revision 1.19  2005/11/30 16:35:08  freetz
- exclude alpha i386 sparc sparc64 from build, rel.7

Revision 1.18  2005/05/03 22:46:54  qboosh
- build on alpha, revised deps, Group fix; release 6

Revision 1.17  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.16  2004/09/17 13:15:45  grzegol
- ExcludeArch: alpha; rel. 5

Revision 1.15  2004/09/17 11:53:42  grzegol
- remove also vbnet.lang - it's in gtksourceview package
- rel. 4

Revision 1.14  2004/08/20 06:51:24  krzak
- ExcludeArch alpha
- rel 3

Revision 1.13  2004/08/15 19:06:59  krzak
- mono-csharp already require mono-devel

Revision 1.12  2004/07/04 07:20:41  krzak
- rel 2
- install.patch - update

Revision 1.11  2004/07/03 18:52:00  krzak
- mint.patch (mint support)
- updated install.patch
- URL added

Revision 1.10  2004/07/03 15:30:49  krzak
- up to version 0.5
- install.patch - fix gacutil flags for installation process
- %{_libdir}/monodoc/sources/gtksourceview-sharp-docs.* in devel package

Revision 1.9  2004/06/07 10:00:25  aflinta
- up to version 0.3, obsoletes dotnet-gtksourceview

Revision 1.8  2004/05/13 17:24:02  ankry
- spaces -> tabs, other cosmetics

Revision 1.7  2004/05/05 23:09:43  malekith
- remove csharp.lang conflicting with gtksourceview

Revision 1.6  2004/05/05 18:57:48  malekith
- include missing library link

Revision 1.5  2004/05/05 18:28:37  malekith
- rename to dotnet-gtksourceview
- up to 0.2

Revision 1.4  2004/04/13 20:34:49  krzak
- language-specs removed, already in gtksourceview
- R: gtksourceview
- rel 2

Revision 1.3  2004/04/01 09:44:27  malekith
- up to 0.1.0 final

Revision 1.2  2004/02/28 18:48:27  ankry
- missing pl

Revision 1.1  2004/02/28 16:54:54  malekith
- first sketch
